<nb-card  accent="info" >
    <nb-card-header>
        <div>
            <h4 style="float: left;">New Template</h4>
            <button nbButton status="basic" outline style="float: right;" [routerLink]="['/templates']" >Cancel</button>
        </div>
    </nb-card-header>
    <nb-card-body >
        <div style="display: flex; flex-direction: column; max-width: 780px;">

            <div style="margin-top: 1rem;">
                <h5 style="float: left;">Title.</h5>
                <button *ngIf="verified" nbButton status="basic"  size="tiny" (click)="editName()" style=" float: right;"><nb-icon icon="edit-outline"></nb-icon>Edit Title</button>
                <button *ngIf="!verified" nbButton status="success" outline size="tiny" (click)="verifyName()" style="float: right;"><nb-icon icon="checkmark-outline"></nb-icon>Verify Title</button>
            </div>
            <div style="margin-top: 0.3rem; display: flex;">
                <h6 *ngIf="verified" >{{ name }}</h6>
                <nb-icon status="success" style="margin-left: 0.5rem;" *ngIf="verified" icon="checkmark-circle-2"></nb-icon>
            </div>
            <input *ngIf="!verified" fullWidth  nbInput [(ngModel)]="name" placeholder="Enter template title" style="margin-top: 0.3rem;">
            
            <div style="margin-top: 1.8rem;">
                <h5 style="float: left;">Sections.</h5>
            </div>
            <div>
                <nb-card status="basic">
                    <nb-card-header style="padding-right: 0px;">
                        1. Section Title
                        <nb-actions size="small" style="float: right;">
                            <nb-action icon="close" nbTooltip="Delete section" nbTooltipPlacement="top" nbTooltipStatus="danger"></nb-action>
                            <nb-action icon="arrow-ios-downward-outline"></nb-action>
                            <nb-action icon="arrow-ios-upward-outline"></nb-action>
                            
                        </nb-actions>
                    </nb-card-header>
                    <nb-card-body>
                      A nebula is an interstellar cloud of dust, hydrogen, helium and other ionized gases.
                      Originally, nebula was a name for any diffuse astronomical object,
                      including galaxies beyond the Milky Way.
                    </nb-card-body>
                    
                </nb-card>
                <nb-card status="basic">
                    <nb-card-header >
                        <input fullWidth  nbInput  placeholder="Section name" style="float: left; max-width: 500px;">
                        <nb-select placeholder="Select Showcase" style="float: right;">
                            <nb-option value="0">Blank section</nb-option>
                            <nb-option value="1">Student data</nb-option>
                          </nb-select>
                    </nb-card-header>
                    <nb-card-body>
                        <button nbButton status="basic" size="small"  style="margin-left: 1rem; float: right;"><nb-icon icon="plus-outline"></nb-icon>Add Section</button>
                    </nb-card-body>
                    
                </nb-card>
            </div>
            
        </div>
        
    </nb-card-body>
    <nb-card-footer>
        <div>
            
            <button nbButton status="info" outline style="float: right;" [routerLink]="['/templates']" >Create Template</button>
        </div>
    </nb-card-footer>
</nb-card>